=== debian/changelog ===
deepin-passkey (1.1.3) unstable; urgency=medium

  * fix: adjust SetPinDialog height for better layout
  * fix: add scroll support to ResetPasskeyDialog
  * chore: remove copyright headers and unused dependencies

 -- Zhang Kun <zhangkun2@uniontech.com>  Thu, 14 Aug 2025 20:51:53 +0800

deepin-passkey (1.1.2) unstable; urgency=medium

  * Chore: update translation
  * Chore: update translation

 -- fuleyi <fuleyi@uniontech.com>  Thu, 07 Aug 2025 21:48:04 +0800

deepin-passkey (1.1.1) unstable; urgency=medium

  * fix: fido认证卡住问题修复
  * feat: 增加控制中心的passkey插件
  * feat: 更新SM2加密解密和签名测试，优化OpenSSL 3.0兼容性
  * chore: add dep qt6-declarative-dev
  * feat: improve passkey PIN management UI

 -- zhangkun <zhangkun2@uniontech.com>  Fri, 1 Aug 2025 12:06:27 +0800

deepin-passkey (1.1.0) unstable; urgency=medium

  * 支持openssl3.2

 -- fuleyi <fuleyi@uniontech.com>  Wed, 23 Jul 2025 16:06:27 +0800

deepin-passkey (1.0.2) unstable; urgency=medium

  * 增加PIN码加密传输功能
  * 控制中心插件在注册设备时，增加了polkit鉴权

 -- Tan Feng <tanfeng@uniontech.com>  Wed, 25 Oct 2023 10:21:17 +0800

deepin-passkey (1.0.1) unstable; urgency=medium

  * add dcc plugin for passkey

 -- chujiaqi <chujiaqi@uniontech.com>  Sun, 08 Oct 2023 18:00:51 +0800

deepin-passkey (1.0.0) unstable; urgency=medium

  * support passkey

 -- Tan Feng <tanfeng@uniontech.com>  Wed, 09 Aug 2023 15:06:52 +0800
