=== debian/control ===
Source: deepin-passkey
Section: devel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 cmake,
 debhelper-compat (= 11),
 pkg-config,
 libfido2-dev,
 libssl-dev,
 libglib2.0-dev,
 libgtest-dev,
 libjson-c-dev,
 gettext,
 libdtk6widget-dev (>=5.4.19),
 libdtk6core-dev (>=5.4.14),
 libdtk6core-bin (>=5.4.14),
 libdtk6gui-dev (>=5.4.13),
 libgsettings-qt-dev,
 qt6-base-dev,
 qt6-tools-dev,
 qt6-tools-dev-tools,
 qt6-declarative-dev,
 dde-control-center-dev,
 libpolkit-qt6-1-dev,
Standards-Version: 4.1.3
Homepage: https://www.deepin.org

Package: dde-passkey-environment
Architecture: any
Depends:
 deepin-passkey,
 dcc-passkey-plugin,
Description: dde passkey.
 This is a package used to install the passkey environment for dde.

Package: dcc-passkey-plugin
Architecture: any
Depends:
 deepin-passkey,
 ${misc:Depends},
 ${shlibs:Depends},
Description: dde-control-center passkey plugin.
 This package is a dde-control-center plugin package for passkey

Package: deepin-passkey
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: deepin passkey service.
 This is a project to support Passkey.
