=== misc/CMakeLists.txt ===
--- 
+++ 
@@ -17,4 +17,13 @@
     "polkit/com.deepin.dde.passkey.dcc-plugin.policy",
     "polkit/org.deepin.Passkey1.policy"
 )
+
+set(POLICY_FILE_DCC ${CMAKE_SOURCE_DIR}/misc/polkit/com.deepin.dde.passkey.dcc-plugin.policy)
+find_program(POLICY_TS_CONV deepin-policy-ts-convert REQUIRED)
+add_custom_target(POLICY_TS
+    ALL
+    COMMAND ${POLICY_TS_CONV} ts2policy ${POLICY_FILE_DCC} ${CMAKE_SOURCE_DIR}/misc/polkit/translations/ ${POLICY_FILE_DCC}.tmp
+    COMMAND mv ${POLICY_FILE_DCC}.tmp ${POLICY_FILE_DCC}
+)
+
 install(FILES ${POLKIT_FILES} DESTINATION share/polkit-1/actions/)
