=== src/CMakeLists.txt ===
add_subdirectory("service")
add_subdirectory("dcc-passkey-plugin")
