=== src/dcc-passkey-plugin/CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # Find the library
 find_package(PkgConfig REQUIRED)
 find_package(DdeControlCenter REQUIRED)
-find_package(Qt6 COMPONENTS Core Gui Widgets DBus Network LinguistTools Concurrent REQUIRED)
+find_package(Qt6 COMPONENTS Core Gui DBus LinguistTools REQUIRED)
 find_package(Dtk6 COMPONENTS Core Gui REQUIRED)
 find_package(PolkitQt6-1 REQUIRED)
 
@@ -40,10 +40,7 @@
 set(Passkey_Libraries
         Qt6::Core
         Qt6::Gui
-        Qt6::Widgets
         Qt6::DBus
-        Qt6::Concurrent
-        Qt::Network
         Dtk6::Core
         Dtk6::Gui
         Dde::Control-Center
