=== debian/changelog ===
deepin-passkey (1.1.6) unstable; urgency=medium

  * fix: add polkit policy translation support

 -- YeShanShan <yeshanshan@uniontech.com>  Fri, 26 Sep 2025 10:55:39 +0800

deepin-passkey (1.1.5) unstable; urgency=medium

  * chore: update debian build dependencies

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 18 Sep 2025 20:11:25 +0800

deepin-passkey (1.1.4) unstable; urgency=medium

  * fix: standardize font styles in security dialogs

 -- YeShanShan <yeshanshan@uniontech.com>  Fri, 22 Aug 2025 10:09:17 +0800
