=== debian/control ===
--- 
+++ 
@@ -12,17 +12,16 @@
  libgtest-dev,
  libjson-c-dev,
  gettext,
- libdtk6widget-dev (>=5.4.19),
- libdtk6core-dev (>=5.4.14),
- libdtk6core-bin (>=5.4.14),
- libdtk6gui-dev (>=5.4.13),
+ libdtk6widget-dev,
+ libdtk6core-dev,
+ libdtk6gui-dev,
  libgsettings-qt-dev,
  qt6-base-dev,
+ qt6-declarative-dev,
  qt6-tools-dev,
- qt6-tools-dev-tools,
- qt6-declarative-dev,
  dde-control-center-dev,
  libpolkit-qt6-1-dev,
+ deepin-gettext-tools,
 Standards-Version: 4.1.3
 Homepage: https://www.deepin.org
